Bug 474570 - Incorrect exit codes from nfs init script
Incorrect exit codes from nfs init script
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nfs-utils (Show other bugs)
4.7
All Linux
low Severity low
: rc
: ---
Assigned To: Steve Dickson
Martin Jenner
:
Depends On: 431891
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 09:20 EST by Jeff Moyer
Modified: 2009-05-18 15:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:02:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0955 normal SHIPPED_LIVE Moderate: nfs-utils security and bug fix update 2009-05-18 09:24:03 EDT

  None (edit)
Description Jeff Moyer 2008-12-04 09:20:41 EST
+++ This bug was initially created as a clone of Bug #431891 +++

Description of problem:

/etc/init.d/nfs start fails (exit with a non-zero exit code) if nfs is already
running.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Add a export entry in /etc/exports
2. Run /etc/init.d/nfs start
3. Run /etc/init.d/nfs start again
  
Actual results:
Starting NFS services:  [  OK  ]
Starting NFS quotas: [  OK  ]
Starting NFS daemon: [FAILED]

Exitcode 1


Expected results:

Exitcode 0

Additional info:

The LSB specification
(http://refspecs.linux-foundation.org/LSB_3.2.0/LSB-Core-generic/LSB-Core-generic/iniscrptact.html)
states that start on an already started service should be considdered success,
and return exit code 0.

It appears this has already been fixed in Fedora. The initscript in
nfs-utils-1.1.0-6.fc8 adheres to LSB.

--- Additional comment from steved@redhat.com on 2008-09-16 14:41:39 EDT ---

fixed in nfs-utils-1.0.9-34
Comment 1 Jeff Moyer 2008-12-04 09:21:46 EST
In our case, a regression test does a 'service nfs stop' to ensure that no nfs daemon is running.  If no daemon was running, the init script returns failure.
Comment 6 Steve Dickson 2009-03-06 08:27:27 EST
Fixed in nfs-utils-1.0.6-90.EL4
Comment 13 errata-xmlrpc 2009-05-18 15:02:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0955.html

Note You need to log in before you can comment on or make changes to this bug.